# $Revision: 1.234 $, $Date: 2012/04/17 17:43:20 $
#
# Conditional build:
%bcond_with	krb5		# build with MIT Kerberos (+libgssglue) instead of Heimdal
%bcond_without	tirpc		# use librpcsecgss instead of libtirpc
#
Summary:	Kernel NFS server
Summary(pl.UTF-8):	Działający na poziomie jądra serwer NFS
Summary(pt_BR.UTF-8):	Os utilitários para o cliente e servidor NFS do Linux
Summary(ru.UTF-8):	Утилиты для NFS и демоны поддержки для NFS-сервера ядра
Summary(uk.UTF-8):	Утиліти для NFS та демони підтримки для NFS-сервера ядра
Name:		nfs-utils
Version:	1.2.5
Release:	11
License:	GPL v2
Group:		Networking/Daemons
#Source0:	http://www.kernel.org/pub/linux/utils/nfs/%{name}-%{version}.tar.bz2
Source0:	http://downloads.sourceforge.net/nfs/%{name}-%{version}.tar.bz2
# Source0-md5:	8395ac770720b83c5c469f88306d7765
#Source1:	ftp://ftp.linuxnfs.sourceforge.org/pub/nfs/nfs.doc.tar.gz
Source1:	nfs.doc.tar.gz
# Source1-md5:	ae7db9c61c5ad04f83bb99e5caed73da
Source2:	nfs.init
Source3:	nfslock.init
Source4:	nfsfs.init
Source5:	rpcidmapd.init
Source6:	rpcgssd.init
Source7:	rpcsvcgssd.init
Source8:	nfs.sysconfig
Source9:	nfslock.sysconfig
Source10:	nfsfs.sysconfig
Source11:	blkmapd.init
Source12:	sunrpc.conf
Source100:	proc-fs-nfsd.mount
Source101:	var-lib-nfs-rpc_pipefs.mount
Source102:	nfsd.service
Source103:	nfs-blkmapd.service
Source104:	nfs-exportfs.service
Source105:	nfs-gssd.service
Source106:	nfs-idmapd.service
Source107:	nfs-lock.service
Source108:	nfs-mountd.service
Source109:	nfs-svcgssd.service
Source110:	nfsd.postconfig
Source111:	nfsd.preconfig
Source112:	nfs-lock.preconfig
Patch0:		%{name}-install.patch
Patch1:		%{name}-statdpath.patch
Patch2:		%{name}-subsys.patch
Patch3:		%{name}-union-mount.patch
Patch4:		%{name}-heimdal.patch
Patch5:		%{name}-heimdal-kcm.patch
URL:		http://nfs.sourceforge.net/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	cpp
BuildRequires:	keyutils-devel
BuildRequires:	libblkid-devel >= 1.40
BuildRequires:	libmount-devel
BuildRequires:	libcap-devel
BuildRequires:	device-mapper-devel
BuildRequires:	libevent-devel >= 1.2
BuildRequires:	libnfsidmap-devel >= 0.24
BuildRequires:	libtool
BuildRequires:	libwrap-devel
BuildRequires:	pkgconfig
BuildRequires:	rpm-pythonprov
%if %{with tirpc}
BuildRequires:	libtirpc-devel >= 1:0.1.10-4
%else
BuildRequires:	librpcsecgss-devel >= 0.16
%endif
%if %{with krb5}
BuildRequires:	krb5-devel >= 1.6
BuildRequires:	libgssglue-devel >= 0.3
%else
BuildRequires:	heimdal-devel >= 1.0
%endif
BuildRequires:	rpmbuild(macros) >= 1.623
# lucid context fields mismatch with current version of spkm3.h
BuildConflicts:	gss_mech_spkm3-devel
Requires(post):	fileutils
Requires(post):	sed >= 4.0
Requires(post,preun):	/sbin/chkconfig
Requires(post,preun,postun):	systemd-units >= 38
Requires:	%{name}-common = %{version}-%{release}
Requires:	libevent >= 2.0.14-2
Requires:	rc-scripts >= 0.4.1.5
Requires:	rpcbind >= 0.1.7
Requires:	setup >= 2.4.6-7
Requires:	systemd-units >= 0.38
Provides:	nfsdaemon
Obsoletes:	knfsd
Obsoletes:	nfs-server
Obsoletes:	nfs-utils-systemd
Obsoletes:	nfsdaemon
Conflicts:	kernel < 2.2.5
Conflicts:	krb5-common < 1.7
ExcludeArch:	armv4l
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the *new* kernel NFS server and related tools. It provides a
much higher level of performance than the traditional Linux user-land
NFS server.

%description -l pl.UTF-8
To jest *nowy* działający na poziomie jądra serwer NFS oraz związane z
nim narzędzia. Serwer ten dostarcza znacznie większą wydajność niż
tradycyjny, działający na poziomie użytkownika serwer NFS.

%description -l pt_BR.UTF-8
O pacote nfs-utils provê os utilitários para o cliente e servidor NFS
do Linux.

%description -l ru.UTF-8
Пакет nfs-utils предоставляет демона для NFS-сервера, включенного в
ядро, и сопутствующие утилиты, которые обеспечивают намного большую
производительность, чем традиционные Linux NFS-сервера, используемые
большинством пользователей.

%description -l uk.UTF-8
Пакет nfs-utils надає демона для NFS-сервера, вбудованого в ядро, та
супутні утиліти, які забезпечують набагато більшу продуктивність, ніж
традиційні Linux NFS-сервери, які використовує більшість користувачів.

%package clients
Summary:	Clients for connecting to a remote NFS server
Summary(pl.UTF-8):	Klienci do łączenia się ze zdalnym serwerem NFS
Group:		Networking
Requires(post,preun):	/sbin/chkconfig
Requires(post,preun,postun):	systemd-units >= 38
Requires:	%{name}-common = %{version}-%{release}
Requires:	psmisc
Requires:	rc-scripts
Requires:	systemd-units >= 0.38
Provides:	nfs-server-clients
Provides:	nfsclient
Obsoletes:	knfsd-clients
Obsoletes:	nfs-server-clients
Obsoletes:	nfs-utils-clients-systemd
Obsoletes:	nfsclient
Conflicts:	krb5-common < 1.7

%description clients
The nfs-server-clients package contains the showmount program.
Showmount queries the mount daemon on a remote host for information
about the NFS (Network File System) server on the remote host. For
example, showmount can display the clients which are mounted on that
host. This package is not needed to mount NFS volumes.

%description clients -l pl.UTF-8
Pakiet zawiera program showmount służący do odpytywania serwera NFS.
Showmount pyta demona na zdalnej maszynie o informacje NFS na zdalnym
hoście. Na przykład, showmount potrafi pokazać klientów, którzy są
zamountowani na tym serwerze. Ten pakiet nie jest konieczny do
zamountowania zasobów NFS.

%package common
Summary:	Common programs for NFS
Summary(pl.UTF-8):	Wspólne programy do obsługi NFS
Group:		Networking
Requires(post,preun):	/sbin/chkconfig
Requires(post,preun,postun):	systemd-units >= 38
Provides:	user(rpcstatd)
Provides:	group(rpcstatd)
Provides:	nfslockd
Provides:	nfs-utils-lock
Requires:	libnfsidmap >= 0.25-3
Requires:	rc-scripts
Requires:	rpcbind >= 0.1.7
Requires:	systemd-units >= 0.38
Obsoletes:	nfs-utils-common-systemd
Obsoletes:	nfs-utils-lock
Obsoletes:	knfsd-lock
Obsoletes:	nfslockd
Conflicts:	mount < 2.13-0.pre7.1

%description common
Common programs for NFS.

%description common -l pl.UTF-8
Wspólne programy do obsługi NFS.

%prep
%setup -q -a1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%{__libtoolize}
%{__aclocal} -I aclocal
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-nfsv3 \
	--enable-nfsv4 \
	--enable-nfsv41 \
	--enable-gss \
	--enable-mount \
	--enable-mountconfig \
	--enable-libmount-mount \
%if %{with tirpc}
	--enable-tirpc \
	--enable-ipv6 \
%else
	--disable-tirpc \
	--disable-ipv6 \
%endif
	--with-statdpath=/var/lib/nfs/statd \
	--with-statedir=/var/lib/nfs \
	--with-statduser=rpcstatd \
	--with-start-statd=/sbin/start-statd \
	--with-tcp-wrappers \
	--with-krb5

%{__make} all

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/{rc.d/init.d,sysconfig,exports.d,modprobe.d} \
	$RPM_BUILD_ROOT%{_var}/lib/nfs/{rpc_pipefs,v4recovery} \
	$RPM_BUILD_ROOT{%{systemdunitdir},%{_datadir}/nfs-utils}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -p utils/mount/nfsmount.conf $RPM_BUILD_ROOT/etc

cat >$RPM_BUILD_ROOT/sbin/start-statd <<EOF
#!/bin/sh
# mount.nfs calls this script when mounting a filesystem with locking
# enabled, but when statd does not seem to be running (based on
# /var/run/rpc.statd.pid).
exec /sbin/rpc.statd --no-notify
EOF

%{__sed} -i -e "s|#!/bin/bash|#!/bin/sh|" $RPM_BUILD_ROOT%{_sbindir}/gss_destroy_creds
%{__sed} -i -e 's|%{_sbindir}nfsidmap|/sbin/nfsidmap|g' $RPM_BUILD_ROOT%{_mandir}/man8/nfsidmap.8

for f in rpcdebug blkmapd nfsidmap rpc.gssd rpc.idmapd rpc.statd ; do
	mv $RPM_BUILD_ROOT%{_sbindir}/$f $RPM_BUILD_ROOT/sbin
done

install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/nfs
install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/nfslock
install %{SOURCE4} $RPM_BUILD_ROOT/etc/rc.d/init.d/nfsfs
install %{SOURCE5} $RPM_BUILD_ROOT/etc/rc.d/init.d/idmapd
install %{SOURCE6} $RPM_BUILD_ROOT/etc/rc.d/init.d/gssd
install %{SOURCE7} $RPM_BUILD_ROOT/etc/rc.d/init.d/svcgssd
install %{SOURCE11} $RPM_BUILD_ROOT/etc/rc.d/init.d/blkmapd
install %{SOURCE8} $RPM_BUILD_ROOT/etc/sysconfig/nfsd
install %{SOURCE9} $RPM_BUILD_ROOT/etc/sysconfig/nfslock
install %{SOURCE10} $RPM_BUILD_ROOT/etc/sysconfig/nfsfs

install %{SOURCE12} $RPM_BUILD_ROOT/etc/modprobe.d/sunrpc.conf

install %{SOURCE100} $RPM_BUILD_ROOT%{systemdunitdir}/proc-fs-nfsd.mount
install %{SOURCE101} $RPM_BUILD_ROOT%{systemdunitdir}/var-lib-nfs-rpc_pipefs.mount
install %{SOURCE102} $RPM_BUILD_ROOT%{systemdunitdir}/nfsd.service
install %{SOURCE103} $RPM_BUILD_ROOT%{systemdunitdir}/blkmapd.service
install %{SOURCE104} $RPM_BUILD_ROOT%{systemdunitdir}/nfsd-exportfs.service
install %{SOURCE105} $RPM_BUILD_ROOT%{systemdunitdir}/gssd.service
install %{SOURCE106} $RPM_BUILD_ROOT%{systemdunitdir}/idmapd.service
install %{SOURCE107} $RPM_BUILD_ROOT%{systemdunitdir}/nfslock.service
install %{SOURCE108} $RPM_BUILD_ROOT%{systemdunitdir}/nfsd-mountd.service
install %{SOURCE109} $RPM_BUILD_ROOT%{systemdunitdir}/svcgssd.service
install %{SOURCE110} $RPM_BUILD_ROOT%{_datadir}/nfs-utils/nfsd.postconfig
install %{SOURCE111} $RPM_BUILD_ROOT%{_datadir}/nfs-utils/nfsd.preconfig
install %{SOURCE112} $RPM_BUILD_ROOT%{_datadir}/nfs-utils/nfslock.preconfig

# Disable old SysV service for systemd installs
ln -s /dev/null $RPM_BUILD_ROOT%{systemdunitdir}/nfs.service
ln -s /dev/null $RPM_BUILD_ROOT%{systemdunitdir}/nfsfs.service

> $RPM_BUILD_ROOT%{_var}/lib/nfs/rmtab
> $RPM_BUILD_ROOT%{_sysconfdir}/exports

%{__rm} $RPM_BUILD_ROOT%{_mandir}/man8/rpc.{mountd,nfsd,statd,sm-notify,svcgssd,gssd,idmapd}.8
echo ".so mountd.8"  > 	$RPM_BUILD_ROOT%{_mandir}/man8/rpc.mountd.8
echo ".so nfsd.8"    >	$RPM_BUILD_ROOT%{_mandir}/man8/rpc.nfsd.8
echo ".so statd.8"   >	$RPM_BUILD_ROOT%{_mandir}/man8/rpc.statd.8
echo ".so sm-notify.8" > $RPM_BUILD_ROOT%{_mandir}/man8/rpc.sm-notify.8
echo ".so gssd.8"    >	$RPM_BUILD_ROOT%{_mandir}/man8/rpc.gssd.8
echo ".so idmapd.8"  >	$RPM_BUILD_ROOT%{_mandir}/man8/rpc.idmapd.8
echo ".so svcgssd.8" >	$RPM_BUILD_ROOT%{_mandir}/man8/rpc.svcgssd.8

touch $RPM_BUILD_ROOT/var/lib/nfs/xtab

ln -sf /bin/true $RPM_BUILD_ROOT/sbin/fsck.nfs

cp -a nfs html

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add nfs
%service nfs restart "NFS daemon"
/sbin/chkconfig --add svcgssd
%service svcgssd restart "RPC svcgssd"
%systemd_post nfsd.service nfsd-exportfs.service nfsd-mountd.service svcgssd.service

%preun
if [ "$1" = "0" ]; then
	%service nfs stop
	/sbin/chkconfig --del nfs
	%service svcgssd stop
	/sbin/chkconfig --del svcgssd
fi
%systemd_preun nfsd.service nfsd-exportfs.service nfsd-mountd.service svcgssd.service

%postun
%systemd_reload

%post clients
/sbin/chkconfig --add nfsfs
%service nfsfs restart
/sbin/chkconfig --add gssd
%service gssd restart "RPC gssd"
/sbin/chkconfig --add blkmapd
%service blkmapd restart "pNFS blkmapd"
%systemd_post blkmapd.service gssd.service

%preun clients
if [ "$1" = "0" ]; then
	%service nfsfs stop
	/sbin/chkconfig --del nfsfs
	%service gssd stop
	/sbin/chkconfig --del gssd
	%service blkmapd stop
	/sbin/chkconfig --del blkmapd
fi
%systemd_preun blkmapd.service gssd.service

%postun clients
%systemd_reload

%pre common
%groupadd -g 191 rpcstatd
%useradd -u 191 -d /var/lib/nfs/statd -s /bin/false -c "RPC statd user" -g rpcstatd rpcstatd

%post common
/sbin/chkconfig --add idmapd
%service idmapd restart "RPC idmapd"
/sbin/chkconfig --add nfslock
%service nfslock restart "RPC statd"
%systemd_post idmapd.service nfslock.service

%preun common
if [ "$1" = "0" ]; then
	%service idmapd stop
	/sbin/chkconfig --del idmapd
	%service nfslock stop
	/sbin/chkconfig --del nfslock
fi
%systemd_preun idmapd.service nfslock.service

%postun common
if [ "$1" = "0" ]; then
	%userremove rpcstatd
	%groupremove rpcstatd
fi
%systemd_reload

%triggerpostun -- %{name} < 1.2.5-7
if [ -f /etc/sysconfig/nfsd ]; then
	. /etc/sysconfig/nfsd
	__RPCMOUNTDOPTIONS=
	[ -n "$MOUNTD_PORT" ] && __RPCMOUNTDOPTIONS="-p $MOUNTD_PORT"
	for vers in 2 3 4 ; do
		__var=$(eval echo \$NFSv$vers)
		[ -n "$__var" -a "$__var" != "yes" ] && \
			__RPCMOUNTDOPTIONS="$__RPCMOUNTDOPTIONS --no-nfs-version $vers"
	done
	if [ -n "$__RPCMOUNTDOPTIONS" ]; then
		%{__cp} -f /etc/sysconfig/nfsd{,.rpmsave}
		echo >>/etc/sysconfig/nfsd
		echo "# Added by rpm trigger" >>/etc/sysconfig/nfsd
		echo "RPCMOUNTDOPTIONS=\"$RPCMOUNTOPTIONS $__RPCMOUNTDOPTIONS\"" >>/etc/sysconfig/nfsd
	fi
fi
%systemd_trigger nfsd.service nfsd-exportfs.service nfsd-mountd.service svcgssd.service

%triggerpostun clients -- %{name}-clients < 1.2.5-7
%systemd_trigger blkmapd.service gssd.service

%triggerpostun common -- %{name}-lock < 1.2.5-3
if [ -f /etc/sysconfig/nfslock.rpmsave ]; then
	mv -f /etc/sysconfig/nfslock{,.rpmnew}
	mv -f /etc/sysconfig/nfslock.rpmsave /etc/sysconfig/nfslock
fi

%triggerpostun common -- %{name}-common < 1.2.5-7
if [ -f /etc/sysconfig/nfslock ]; then
	. /etc/sysconfig/nfslock
	[ -n "$STATD_PORT" ] && STATDOPTS="$STATDOPTS -p $STATD_PORT"
	[ -n "$STATD_OUTPORT" ] && STATDOPTS="$STATDOPTS -o $STATD_OUTPORT"
	if [ -n "$STATDOPTS" ]; then
		%{__cp} -f /etc/sysconfig/nfslock{,.rpmsave}
		echo >>/etc/sysconfig/nfslock
		echo "# Added by rpm trigger" >>/etc/sysconfig/nfslock
		echo "STATDOPTIONS=\"$STATDOPTS\"" >>/etc/sysconfig/nfslock
	fi
fi
%systemd_trigger idmapd.service nfslock.service

%files
%defattr(644,root,root,755)
%doc ChangeLog README html
%attr(755,root,root) /sbin/rpcdebug
%attr(755,root,root) /sbin/fsck.nfs
%attr(755,root,root) %{_sbindir}/exportfs
%attr(755,root,root) %{_sbindir}/rpc.mountd
%attr(755,root,root) %{_sbindir}/rpc.nfsd
%attr(755,root,root) %{_sbindir}/rpc.svcgssd
%attr(755,root,root) %{_sbindir}/nfsstat

%attr(754,root,root) /etc/rc.d/init.d/nfs
%attr(754,root,root) /etc/rc.d/init.d/svcgssd

%attr(664,root,fileshare) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/exports
%dir %{_sysconfdir}/exports.d

%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/nfsd
%config(noreplace) %verify(not md5 mtime size) %{_var}/lib/nfs/xtab
%config(noreplace) %verify(not md5 mtime size) %{_var}/lib/nfs/etab
%config(noreplace) %verify(not md5 mtime size) %{_var}/lib/nfs/rmtab

%{_mandir}/man5/exports.5*
%{_mandir}/man7/nfsd.7*
%{_mandir}/man8/exportfs.8*
%{_mandir}/man8/mountd.8*
%{_mandir}/man8/nfsd.8*
%{_mandir}/man8/nfsstat.8*
%{_mandir}/man8/rpc.mountd.8*
%{_mandir}/man8/rpc.nfsd.8*
%{_mandir}/man8/rpc.svcgssd.8*
%{_mandir}/man8/rpcdebug.8*
%{_mandir}/man8/svcgssd.8*

%{systemdunitdir}/nfs.service
%{systemdunitdir}/nfsd.service
%{systemdunitdir}/nfsd-exportfs.service
%{systemdunitdir}/nfsd-mountd.service
%{systemdunitdir}/svcgssd.service
%{systemdunitdir}/proc-fs-nfsd.mount
%attr(755,root,root) %{_datadir}/nfs-utils/nfsd.postconfig
%attr(755,root,root) %{_datadir}/nfs-utils/nfsd.preconfig

%files clients
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/blkmapd
%attr(754,root,root) /etc/rc.d/init.d/gssd
%attr(754,root,root) /etc/rc.d/init.d/nfsfs
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/nfsfs
%attr(664,root,fileshare) %config(noreplace) %verify(not md5 mtime size) /etc/nfsmount.conf
%attr(4755,root,root) /sbin/mount.nfs
%attr(4755,root,root) /sbin/umount.nfs
%attr(4755,root,root) /sbin/mount.nfs4
%attr(4755,root,root) /sbin/umount.nfs4
%attr(755,root,root) /sbin/blkmapd
%attr(755,root,root) /sbin/rpc.gssd
%attr(755,root,root) %{_sbindir}/mountstats
%attr(755,root,root) %{_sbindir}/nfsiostat
%attr(755,root,root) %{_sbindir}/showmount
%{_mandir}/man5/nfsmount.conf.5*
%{_mandir}/man8/blkmapd.8*
%{_mandir}/man8/gssd.8*
%{_mandir}/man8/mount.nfs.8*
%{_mandir}/man8/mountstats.8*
%{_mandir}/man8/nfsiostat.8*
%{_mandir}/man8/rpc.gssd.8*
%{_mandir}/man8/showmount.8*
%{_mandir}/man8/umount.nfs.8*

%{systemdunitdir}/nfsfs.service
%{systemdunitdir}/blkmapd.service
%{systemdunitdir}/gssd.service

%files common
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/nfslock
%attr(754,root,root) /etc/rc.d/init.d/idmapd
%attr(754,root,root) /etc/rc.d/init.d/nfslock
%config(noreplace) %verify(not md5 mtime size) /etc/modprobe.d/sunrpc.conf
%attr(755,root,root) %{_sbindir}/gss_clnt_send_err
%attr(755,root,root) %{_sbindir}/gss_destroy_creds
%attr(755,root,root) %{_sbindir}/sm-notify
%attr(755,root,root) /sbin/nfsidmap
%attr(755,root,root) /sbin/rpc.idmapd
%attr(755,root,root) /sbin/rpc.statd
%attr(755,root,root) /sbin/start-statd
%dir %{_var}/lib/nfs
%dir %{_var}/lib/nfs/rpc_pipefs
%dir %{_var}/lib/nfs/v4recovery
%attr(700,rpcstatd,rpcstatd) %dir %{_var}/lib/nfs/statd
%attr(700,rpcstatd,rpcstatd) %dir %{_var}/lib/nfs/statd/sm
%attr(700,rpcstatd,rpcstatd) %dir %{_var}/lib/nfs/statd/sm.bak
%attr(600,rpcstatd,rpcstatd) %config(noreplace) %verify(not md5 mtime size) %{_var}/lib/nfs/statd/state
%{_mandir}/man5/nfs.5*
%{_mandir}/man8/idmapd.8*
%{_mandir}/man8/nfsidmap.8*
%{_mandir}/man8/rpc.idmapd.8*
%{_mandir}/man8/rpc.sm-notify.8*
%{_mandir}/man8/rpc.statd.8*
%{_mandir}/man8/sm-notify.8*
%{_mandir}/man8/statd.8*

%{systemdunitdir}/idmapd.service
%{systemdunitdir}/nfslock.service
%{systemdunitdir}/var-lib-nfs-rpc_pipefs.mount
%dir %{_datadir}/nfs-utils
%attr(755,root,root) %{_datadir}/nfs-utils/nfslock.preconfig

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nfs-utils.spec,v $
Revision 1.234  2012/04/17 17:43:20  baggins
- rel 11
- better systemd deps

Revision 1.233  2012/04/17 12:02:54  baggins
- rel 10
- don't mention proc-fs-nfsd in idmapd as it breaks socket.target if that
  mount is not present

Revision 1.232  2012/04/16 19:39:23  baggins
- rel 9
- proc-fs-nfsd is not required by idmapd

Revision 1.231  2012/04/04 09:53:28  baggins
- add rpc_pipefs automount module alias

Revision 1.230  2012/02/11 20:59:01  baggins
- rel 8
- use __cp macro in triggers, cp may be an alias

Revision 1.229  2012/02/08 11:39:35  baggins
- rel 7
- don't exit from trigger

Revision 1.228  2012/02/05 17:38:05  baggins
- rel 6
- added O:*-systemd

Revision 1.227  2012/02/05 16:42:24  baggins
- rel 5
- merge systemd stuff into main packages

Revision 1.226  2012/01/20 19:12:56  baggins
- rel 4
- mounting NFS filesystems needs some love on the systemd/autofs side (it's slow),
  but everything seems to work

Revision 1.225  2012/01/20 19:04:42  baggins
- unify systemd service names with SysV to ease transition

Revision 1.224  2012/01/19 20:08:18  baggins
- rel 3.2 for now, needs some work on systemd unit names

Revision 1.223  2012/01/19 10:51:22  baggins
- rel 4
- its rpc.mountD, rename env var appropriately

Revision 1.222  2012/01/18 22:12:16  baggins
- env vars may contain spaces

Revision 1.221  2012/01/18 21:48:18  baggins
- move blkmapd, idmapd, statd and gssd to /sbin which allows us to remove
  chicken-egg hacks for possible /usr mounts

Revision 1.220  2012/01/18 19:25:47  baggins
- switch to systemd makes TODO obsolete

Revision 1.219  2012/01/18 19:25:05  baggins
- added systemd packages
- simplified sysconfigs and SysV init scripts for compatibility with systemd
- added triggers for changed sysconfigs

Revision 1.218  2011/10/11 17:01:33  qboosh
- use simple Source0 URL

Revision 1.217  2011/10/11 16:56:22  qboosh
- updated libgssglue BR

Revision 1.216  2011/10/07 19:43:25  baggins
- rel 3

Revision 1.215  2011/10/07 12:45:28  baggins
- add blkmapd man page

Revision 1.214  2011/10/07 12:35:38  baggins
- init script and options for blkmapd

Revision 1.213  2011/10/07 12:20:23  baggins
- merge -lock into -common
- package blkmapd in -clients subpackage
- drop very old triggers (it was getting messy here)

Revision 1.212  2011/10/07 11:41:43  sls
- in fact BRequired libnfsidmap-0.24

Revision 1.211  2011/10/07 11:40:26  sls
- BR: libnfsidmap >= 0.23 (required  nfs4_owner interfaces)

Revision 1.210  2011/10/06 12:14:15  arekm
- rel 2; use libmount

Revision 1.209  2011/09/27 11:12:00  baggins
- rel 1

Revision 1.208  2011/09/25 15:02:17  baggins
- update to 1.2.5

Revision 1.207  2011/09/02 18:57:02  baggins
- rel 3
- typo

Revision 1.206  2011/09/02 18:51:41  baggins
- rel 2
- add /etc/exports.d dir (exportfs complains it's missing)

Revision 1.205  2011/08/03 19:02:22  qboosh
- added libblkid version, some options to consider

Revision 1.204  2011/08/03 11:10:32  baggins
- rel 1

Revision 1.203  2011/08/03 10:51:30  baggins
- added nfsidmap upcall program

Revision 1.202  2011/08/02 23:29:46  baggins
- up to 1.2.4
- removed patch applied upstream

Revision 1.201  2011/02/24 21:13:09  lisu
- rel 6 (new libevent)

Revision 1.200  2011/01/27 21:54:50  sparky
- BR: rpm-pythonprov

Revision 1.199  2010/10/18 17:28:12  baggins
- rel 5
- Heimdal KCM credential cache support for gssd

Revision 1.198  2010/10/04 18:16:05  baggins
- rel 4

Revision 1.197  2010/10/04 12:02:22  baggins
- rel 3
- fix for https://bugzilla.linux-nfs.org/show_bug.cgi?id=190
  (-p <port> option broken in mountd)

Revision 1.196  2010/10/03 18:33:52  baggins
- cosmetics

Revision 1.195  2010/10/03 18:26:26  baggins
- '--enable-ipv6' requires TIRPC support

Revision 1.194  2010/10/03 18:03:12  baggins
- merged, cleaned and simplified heimdal support patches

Revision 1.193  2010/10/02 23:08:20  baggins
- revert accidental removal

Revision 1.191  2010/09/29 16:13:55  draenog
- mountd does no support --no-nfs-version 1 any more
- rel. 2

Revision 1.190  2010/09/29 10:08:58  baggins
- updated to 1.2.3

Revision 1.189  2010/08/30 16:52:01  baggins
- rel 4
- git patch and ipv6/gss changes moved to DEVEL due yo issues with nfs3 mounts

Revision 1.188  2010/08/30 12:32:42  baggins
- rel 3

Revision 1.187  2010/08/30 12:15:32  baggins
- git patch with nfs-utils-1-2-3-rc4 changes
- real ipv6 support in nfsd and mountd
- support for more krb5 enctypes (AES, ARCFOUR, etc., req kernel 2.6.35+),
  at last no more DES!

Revision 1.186  2010/08/18 05:19:32  qboosh
- updated pkgconfig_ac patch, dropped now unnecessary BC for libgssglue
- files cleanup

Revision 1.185  2010/08/18 04:59:51  qboosh
- libtirpc and librpcsecgss are alternatives here

Revision 1.184  2010/08/17 16:54:27  qboosh
- removed obsolete dprintf hack

Revision 1.183  2010/05/22 20:50:43  sparky
- BR: libcap-devel
- adpterized

Revision 1.182  2010/04/12 12:31:29  baggins
- rel 2

Revision 1.181  2010/02/24 16:35:24  baggins
- updated to 1.2.2

Revision 1.180  2009/07/02 14:10:18  baggins
- rel 4
- reverse heimdal bcond to krb5, build with heimdal

Revision 1.179  2009/07/02 12:16:20  baggins
- BC libgssglue-devel if build against heimdal

Revision 1.178  2009/07/01 20:42:18  baggins
- more bcond cleanup

Revision 1.177  2009/07/01 20:33:09  baggins
- rel 3

Revision 1.176  2009/07/01 20:26:01  baggins
- removed keytab-path patch (krb5.keytab back in /etc as of krb5 1.7)
- C krb5-common < 1.7 due to above
- clean up heimdal bcond

Revision 1.175  2009/06/30 14:39:47  baggins
- rel 2
- added heimdal support and bcond

Revision 1.174  2009/06/02 21:00:25  baggins
- rel 1
- removed obsolete patch (merged upstream)

Revision 1.173  2009/06/02 20:51:38  baggins
- 1.2.0

Revision 1.172  2009/05/20 14:54:51  baggins
- union mount support
- BR libblkid-devel instead of e2fsprogs-devel

Revision 1.171  2009/03/15 11:22:57  baggins
- rel 2
- replaced hardcoded regex with a setting in `nfsfs stop()` command

Revision 1.170  2009/03/05 14:06:39  baggins
- switch from portmap to rpcbind

Revision 1.169  2009/03/05 14:05:05  baggins
- rel 1
NOTE for rev. 1.167:
- removed mount and nfs4 bconds, no point in keeping them
- added build toolchain fixes from Chuck Lever's git
- updated Rs and BRs
- updated configure options
- build with ipv6 and TI RPC support
- package statd dirs properly

Revision 1.168  2009/03/05 13:59:19  baggins
- 1.1.5

Revision 1.167  2009/03/04 23:35:42  baggins
- started update to 1.1.4
- removed outdated patches
- IPv6 patches and other Steve Dickson's fixes on the way

Revision 1.166  2008/11/18 20:58:13  glen
- -common conflicts with mount containing nfs.5 for smoother upgrade path with poldek; rel 4

Revision 1.165  2008/10/27 10:41:43  blues
- CVE note

Revision 1.164  2008/10/07 22:58:30  glen
- release 3 (libevent rebuild)

Revision 1.163  2008/09/01 12:43:39  arekm
- release 2

Revision 1.162  2008/08/27 16:57:35  qboosh
- updated to 1.1.3 [fixes CVE-2008-4552]
- removed obsolete CITI_NFS4 patch (included in release)

Revision 1.161  2008/08/14 16:24:16  arekm
- release 2

Revision 1.160  2008/07/18 20:13:36  qboosh
- updated to 1.1.2
- updated CITI_NFS4 patch

Revision 1.159  2008/06/29 17:17:37  adamg
- full ac/am rebuild
- release 4

Revision 1.158  2008-02-06 20:45:45  glen
- never use '<=' in trigger comparision; rel 3

Revision 1.157  2007-11-18 18:03:31  arekm
- rel 2

Revision 1.156  2007-11-03 12:51:31  qboosh
- updated to 1.1.1
- updated CITI_NFS4 patch
- removed obsolete mount-fake,mountd-leak,libgssglue,mount-nosharecache patches

Revision 1.155  2007/09/26 12:14:36  baggins
- rel 6
- add support for the 'nosharecache' mount option

Revision 1.154  2007/09/25 16:53:37  baggins
- autoconf
- updated BR librpcsecgss

Revision 1.153  2007/09/25 16:51:39  baggins
- rel 5
- build with libgssglue

Revision 1.152  2007/09/25 16:09:51  baggins
- rel 4
- init scripts fixes

Revision 1.151  2007/09/17 17:03:19  baggins
- rel 3

Revision 1.150  2007/09/15 18:17:39  qboosh
- typo

Revision 1.149  2007/09/15 18:15:30  areq
- fix without nfs4

Revision 1.148  2007/08/14 14:13:47  baggins
- rel 2
- updated CITI NFS4 patch

Revision 1.147  2007/05/11 11:35:09  baggins
- 1.1.0 final
